# Variable add_to_menu

add_to_menu: (
item: {
label: string;
min_role: number;
pagename?: string;
type: "View" | "Page";
viewname?: string;
},
) => Promise<void>

#### Type Declaration

- - (
    item: {
    label: string;
    min_role: number;
    pagename?: string;
    type: "View" | "Page";
    viewname?: string;
    },
    ): Promise<void>

  - #### Parameters

    - item: {
      label: string;
      min_role: number;
      pagename?: string;
      type: "View" | "Page";
      viewname?: string;
      }

      {label, type, viewname, pagename, min_role}

    #### Returns Promise<void>

- Defined in index.ts:37